
package Logic;

public class Logical implements ILogical
{
	/** @SBGen Variable (,,,64)   */
	AState _aState = TrueState.Singleton ();
	/**
	 * @param b 
	 * @SBGen Constructor
	 */
	Logical(boolean b)
	{
//    _aState = b ?  TrueState.Singleton (): FalseState.Singleton ();
		if (b) setTrue();
		else setFalse();
	}


	public void setTrue()
	{
		_aState = TrueState.Singleton ();
	}

	public void setFalse()
	{
		_aState = FalseState.Singleton ();
	}

	/**
	 * @param algo 
	 * @param param 
	 */
	public Object execute(ILogicAlgo algo, Object param)
	{
		return _aState.execute(this, algo, param);
	}
}

